Bug 86383 - Can't compile openoffice.org-1.1
Summary: Can't compile openoffice.org-1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-20 22:30 UTC by Nicolas Blais
Modified: 2006-12-24 12:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Blais 2005-09-20 22:30:14 UTC
During a portupgrade from openoffice.org-1.1.5.rc2.1 to openoffice.org-1.1.5, compile will stop with the following error(s):

[snip]
CHECKING CONSISTENCY ...
/usr/local/bin/xsltproc -o ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb/Store.san \
                    --stringparam file org/openoffice/ucb/Store \
                    --stringparam pathSeparator / \
                    ../../util/sanity.xsl org/openoffice/ucb/Store.xcs
/usr/local/bin/xsltproc -o ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb/Store.tmp \
                    ../../util/schema_trim.xsl org/openoffice/ucb/Store.xcs
cp ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb/Store.tmp ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb
/Store.xcs
rm -f ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb/Store.tmp > /dev/null
rm -f ../../unxfbsd.pro/misc/registry/schema/org/openoffice/ucb/Store.val > /dev/null
-------------+ creating locale dependent resource bundles
mkdir -p ../../unxfbsd.pro/misc/registry/res/de/org/openoffice/
/usr/local/bin/xsltproc -o ../../unxfbsd.pro/misc/registry/res/de/org/openoffice/Inet.properties \
                    --stringparam locale de \
                    ../../util/resource.xsl org/openoffice/Inet.xcs
XPath error : Undefined variable
compilation error: file ../../util/resource.xsl line 87 element template
Failed to compile predicate
XPath error : Undefined variable
compilation error: file ../../util/resource.xsl line 87 element template
Failed to compile predicate
dmake:  Error code 5, while making '../../unxfbsd.pro/misc/registry/res/de/org/openoffice/Inet.properties'
---* TG_SLO.MK *---

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-1.1/work/OOo_1.1.5/officecfg/registry/schema
dmake:  Error code 1, while making 'build_all'
---* TG_SLO.MK *---
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-1.1.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade34628.0 make
** Fix the problem and try again.
--->  Build of editors/openoffice.org-1.1 ended at: Tue, 20 Sep 2005 17:02:04 -0400 (consumed 00:14:46)
--->  Upgrade of editors/openoffice.org-1.1 ended at: Tue, 20 Sep 2005 17:02:04 -0400 (consumed 00:14:46)
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
        ! editors/openoffice.org-1.1 (openoffice.org-1.1.5.rc2.1)       (missing header)
--->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
--->  Session ended at: Tue, 20 Sep 2005 17:02:04 -0400 (consumed 00:14:53)

Fix: 

None.
How-To-Repeat: Try to compile editor/openoffice.org-1.1 with following flags:

WITHOUT_MOZILLA=yes
WITHOUT_JAVA=yes
WITH_TTF_BYTECODE_ENABLED=yes
Comment 1 Marcus Alves Grando freebsd_committer 2005-09-21 04:13:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer.
Comment 2 Nicolas Blais 2005-10-07 18:54:35 UTC
On September 20, 2005 05:27 pm, Nicolas Blais wrote:
> 86383


I've given up and installed openoffice.org-2.0-RC1 which compiles and works 
(except a few bugs).

Nicolas.
-- 
FreeBSD 7.0-CURRENT #0: Sat Oct  1 11:51:38 EDT 2005     
root@clk01a:/usr/obj/usr/src/sys/CLK01A 
PGP? : http://www.clkroot.net/security/nb_root.asc
Comment 3 Grégory Nou 2005-10-10 20:26:51 UTC
This bug is indeed due to a recent libxslt update.
It seems that OOo uses code which is wrong but was silently accepted
in earlier versions, and now correctly doesn't compile.
(Variables are not allowed in xsl match strings, but that's what is done 
in 
/usr/ports/editors/openoffice.org-1.1/work/OOo_1.1.5/officecfg/util/resource.xsl, 
line 87).

A fix is proposed there :

http://permalink.gmane.org/gmane.os.netbsd.devel.packages/21318

I tried it, and the problem disappeared.

my system is a FreeBSD 7.0-CURRENT #0: Sun Oct  9 17:27:28 CEST 2005, 
using libxslt-1.1.15.
Comment 4 Nicolas Blais 2005-10-10 20:36:12 UTC
On October 10, 2005 03:26 pm, Gregory Nou wrote:
> This bug is indeed due to a recent libxslt update.
> It seems that OOo uses code which is wrong but was silently accepted
> in earlier versions, and now correctly doesn't compile.
> (Variables are not allowed in xsl match strings, but that's what is done
> in
> /usr/ports/editors/openoffice.org-1.1/work/OOo_1.1.5/officecfg/util/resourc
>e.xsl, line 87).
>
> A fix is proposed there :
>
> http://permalink.gmane.org/gmane.os.netbsd.devel.packages/21318
>
> I tried it, and the problem disappeared.
>
> my system is a FreeBSD 7.0-CURRENT #0: Sun Oct  9 17:27:28 CEST 2005,
> using libxslt-1.1.15.


Thanks for your help. Unfortunatly I gave up and went to OOo 2-RC1 which works 
fine (few bugs here and there)

Nicolas.
-- 
FreeBSD 7.0-CURRENT #0: Sat Oct  8 11:27:39 EDT 2005     
nicblais@clk01a:/usr/obj/usr/src/sys/CLK01A 
PGP? : http://www.clkroot.net/security/nb_root.asc
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2006-12-24 12:01:57 UTC
State Changed
From-To: open->closed

stale PR.